#
# spec file for package gap-crime
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-crime
Summary:        GAP: Calculate group cohomology and Massey products
Version:        1.4
Release:        bp153.1.12
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://math.uic.edu/~marcus/Crime

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/crime-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
Requires:       gap-core >= 4.4

%description
This GAP package computes cohomology rings for finite p-groups using
Jon Carlson's method, both as GAP objects, and also in terms of
generators and relators. It also computes induced homomorphisms on
cohomology and Massey products in the cohomology ring.

%prep
%setup -qn crime

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri May 10 2013 jengelh@inai.de
- Split crime (version 1.4) off the gap RPM package
